Summary: Easy to use CD burning for Gnome
Name: nautilus-cd-burner
Version: 2.8.3
Release: 6.XOS.1
Source0: %{name}-%{version}.tar.bz2
License: LGPL/GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Requires: gnome-vfs2 >= 2.1.3.1
Requires: mkisofs
Requires: cdrecord
Requires: hal >= 0.2.98
BuildRequires: gnome-vfs2-devel >= 2.1.3.1
BuildRequires: libgnome-devel
BuildRequires: glib2-devel >= 2.1.0
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: eel2-devel
BuildRequires: gettext
BuildRequires: hal-devel >= 0.2.98
# Fix hal-devel not requiring dbus-devel for the moment
BuildRequires: dbus-devel
# need nautilus-extensions
BuildRequires: nautilus >= 2.5.4

Patch1: nautilus-cd-burner-2.8.3-unmount.patch
Patch2: nautilus-cd-burner-2.8.3-dir-owner.patch

%description
An easy to use CD burning package, well integrated with
Nautilus and the Gnome desktop.

%package devel
Summary: The files needed for nautilus-cd-burner application development.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}
Requires: glib2-devel

%description devel
The nautilus-cd-burner-devel package contains the libraries and
include files that you can use to develop applications that
use the nautilus-cd-burner library.

%prep
%setup -q

%patch1 -p0 -b .unmount
%patch2 -p0 -b .dir-owner

%build

%configure --enable-hal
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmapping.la
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="ncb.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/gnome-vfs-2.0/modules/mapping-modules.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/nautilus/extensions-1.0/*.so*
%{_libdir}/lib*.so.*
%{_bindir}/nautilus-cd-burner
%{_libexecdir}/mapping-daemon
%{_datadir}/nautilus-cd-burner

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 2.8.3-6.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on nautilus-cd-burner-2.8.3-6.src.rpm
  (md5sum of original source rpm: 0f3043ff01b5e4734a839062726a5f6b).

* Wed Oct 20 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-6
- Make user own the dirs in burn:/// (#135151)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-5
- Make unmount patch slighly better

* Fri Oct  8 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-4
- Add patch to unmount if needed (#107544)

* Thu Oct  7 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-3
- try to build on s390

* Wed Sep 29 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-2
- run ldconfig in post/postun

* Thu Sep 23 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-1
- Upgrade to 2.8.3 to get rid of cvs backport patch

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.2-1
- Update to 2.8.2
- Remove old upstreamed patches
- make new cvs backport patch

* Tue Sep 21 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-4
- Lock devices using hal when burning

* Mon Sep 20 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-3
- fix up is_rewritable patch to not change api

* Fri Sep 17 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-2
- Add patch to detect rewritable discs on older drives

* Fri Sep 17 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-1
- update to 2.8.1
- Add fixes patch to fix some small details
- Add asserts patch to not assert if mmc profiling fails (#132479, #132645)
- Add patch that makes n-c-b use hal to get media type
- Enable hal support

* Wed Sep 15 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0
- backport cvs fixes

* Thu Aug 19 2004 Alex Larsson <alexl@redhat.com> 2.7.6-1
- update to 2.7.6

* Thu Aug 12 2004 Alexander Larsson <alexl@redhat.com> - 2.7.5-1
- update to 2.7.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May  4 2004 Alex Larsson <alexl@redhat.com> 2.6.0-2
- Open the right help file (#121476)

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.6.6-1
- update to 0.6.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- update to 0.6.5

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- update to 0.6.4

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-2
- update file list

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-1
- new version

* Mon Oct 13 2003 Alexander Larsson <alexl@redhat.com> 0.5.3-1
- Update to final gnome 2.4 release
- Has one crash fix and new translations

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.5.0-1
- update for gnome 2.3

* Thu Jul 10 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-3
- Add eel2-devel and gettext buildrequires

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-1
- Update to 0.4.3

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 0.4.2-1
- Update to 0.4.2

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.3.2-1
- Update to 0.3.2

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Update to 0.3.1

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-2
- Langify

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-1
- Update to 0.3

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.2-2
- rebuild

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.2-1
- Update to 0.2

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 0.1-3
- Added mkisofs and cdrecord dependencies

* Thu Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-2
- run make in build

* Wed Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-1
- Initial build.


